### Method

# Cogl Pipeline set_layer_point_sprite_coords_enabled

#### Declaration [src]

    gboolean
    cogl_pipeline_set_layer_point_sprite_coords_enabled (
      CoglPipeline* pipeline,
      int layer_index,
      gboolean enable,
      GError** error
    )

#### Description [src]

When rendering points, if `enable` is `TRUE` then the texture coordinates for this layer will be replaced with coordinates that vary from 0.0 to 1.0 across the primitive. The top left of the point will have the coordinates 0.0,0.0 and the bottom right will have 1.0,1.0. If `enable` is `FALSE` then the coordinates will be fixed for the entire point.

#### Parameters

`layer_index`

  Type: `int`

  The layer number to change.

`enable`

  Type: `gboolean`

  Whether to enable point sprite coord generation.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the function succeeds, `FALSE` otherwise.